Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi

# Interface OASModelReader

public interface OASModelReader
This interface allows application developers to programmatically contribute an OpenAPI model tree. In this scenario the developer can choose whether to provide the entire OpenAPI model while disabling annotation scanning, or they can provide a starting OpenAPI model to be augmented with the application annotations. The registration of this model reader is controlled by setting the key mp.openapi.model.reader using one of the configuration sources specified in MicroProfile Config. The value is the fully qualified name of the model reader implementation, which needs to be visible to the application's classloader.

## Method Summary

Modifier and Type
Method
Description
`OpenAPI`
`buildModel()`
This method is called by the vendor's OpenAPI processing framework.

## Method Details

### buildModel

OpenAPI buildModel()
This method is called by the vendor's OpenAPI processing framework. It can be a fully complete and valid OpenAPI model tree, or a partial base model tree that will be augmented by either annotations or pre-generated OpenAPI documents.

Returns:
  the OpenAPI model to be used by the vendor